# What is GoToSocial?

GoToSocial provides a lightweight, customizable, and safety-focused entryway into the [Fediverse](https://en.wikipedia.org/wiki/Fediverse), and is comparable to (but distinct from) existing projects such as [Mastodon](https://joinmastodon.org/), [Pleroma](https://pleroma.social/), [Friendica](https://friendica.net), and [PixelFed](https://pixelfed.org/).

With GoToSocial, you can keep in touch with your friends, post, read, and share images and articles, without being tracked or advertised to.

## Federation

Because GoToSocial uses the [ActivityPub](https://activitypub.rocks/) protocol, you can Keep in touch not only with people on your home server, but with people all over the [Fediverse](https://en.wikipedia.org/wiki/Fediverse), seamlessly!

## Mastodon API compatible

Full support for modern, elegant apps like [Tusky](https://tusky.app/) and [Pinafore](https://pinafore.social/).

## Granular post settings

You should be able to choose how your posts can be interacted with:

* Local-only posts.
* Rebloggable/boostable toggle.
* 'Likeable' toggle.
* 'Replyable' toggle.

## Easy customizability for admins

* Adjustable post length.
* Media upload size settings.

## LetsEncrypt

 Built-in, automatic support for secure HTTPS with [LetsEncrypt](https://letsencrypt.org/).

## Light footprint and good performance

Plays nice with lower-powered machines like Raspberry Pi, old laptops and tiny VPSes.

## Easy to deploy

No external dependencies apart from a database. Just download the binary + assets (or Docker container), and run.

## HTTP signature authentication

Protect your data.

## User Safety

Strict privacy enforcement for posts and strict blocking logic.

## Subscribeable and shareable allow/denylists for federation

Import and export allowlists and denylists. Subscribe to community-created blocklists (think Adblocker, but for federation!).

## Various federation modes

* 'Normal' federation; discover new servers.
* Allowlist-only federation; choose which servers you talk to.
* Zero federation; keep your server private.
